
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/mitol/digitalcredentials:mitol-django-digital-credentials

from setuptools import setup

setup(**{
    'authors': [
        'MIT Office of Open Learning <mitx-devops@mit.edu>',
    ],
    'classifiers': [
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    'description': 'Django application to support digital credentials',
    'install_requires': (
        'django-oauth-toolkit>=1.3.3',
        'django<4.0,>=2.2.12',
        'djangorestframework>=3.0.0',
        'factory-boy~=3.2',
        'mitol-django-common',
        'requests>=2.20.0',
    ),
    'license': 'BSD 3-Clause License',
    'long_description': """mitol-django-digital-credentials
---

This is the Open Learning Django Digital Credentials app. Provides the following functionality:

- Data models:
  - `DigitalCredentialRequest` - a one-time use credential request that is bound to a courseware object and a learner
  - `LearnerDID` - a record of which DID(s) are bound to any given user. This guarantees we won't allow a DID to be used for a different user once bound.
  - `DigitalCredential` - a record of the signed digital credential, the courseware object, and the learner whom it is for
- Django admin UI for these models
- `/credentials/request/<uuid>/` API for requesting credentials
  - Requires OAuth2 authentication provided by `django-oauth-toolkit`


### Getting started

`pip install mitol-django-digital-credentials`

Add the digital credentials app:

```python
INSTALLED_APPS = [
    ...
    "mitol.digitalcredentials.apps.DigitalCredentialsApp",
]
```

### Settings

#### Common Django settings

- `SITE_BASE_URL` - the website's host url, including the protocol (e.g. "https://example.com/")


#### Digital Credentials app settings

- `MITOL_DIGITAL_CREDENTIALS_VERIFY_SERVICE_BASE_URL` - the base url for the hosted `sign-and-verify` service
- `MITOL_DIGITAL_CREDENTIALS_BUILD_CREDENTIAL_FUNC` - a function to build the credential document
""",
    'long_description_content_type': 'text/markdown',
    'name': 'mitol-django-digital-credentials',
    'namespace_packages': (
        'mitol',
    ),
    'package_data': {
        'mitol.digitalcredentials': (
            'CHANGELOG.md',
            'README.md',
            'py.typed',
        ),
    },
    'packages': (
        'mitol',
        'mitol.digitalcredentials',
        'mitol.digitalcredentials.migrations',
    ),
    'python_requires': '>=3.8',
    'version': '2023.1.17',
    'zip_safe': True,
})
